replace

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
replace
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Replace elements of an array based on an conditional array. More...

## Functions
AFAPI void | replace (array &a, const array &cond, const array &b)
AFAPI void | replace (array &a, const array &cond, const double &b)
AFAPI af_err | af_replace (af_array a, const af_array cond, const af_array b)
AFAPI af_err | af_replace_scalar (af_array a, const af_array cond, const double b)

## Detailed Description

Replace elements of an array based on an conditional array.

- Input values are retained when corresponding elements from condition array are true.
- Input values are replaced when corresponding elements from condition array are false.

## Function Documentation

AFAPI af_err af_replace | ( | af_array | a,
|  | const af_array | cond,
|  | const af_array | b
| ) |  |

Parameters

  [in,out] | a | is the input array
  [in] | cond | is the conditional array.
  [in] | b | is the replacement array.

Note
  Values of `a` are replaced with corresponding values of `b`, when `cond` is false.

AFAPI af_err af_replace_scalar | ( | af_array | a,
|  | const af_array | cond,
|  | const double | b
| ) |  |

Parameters

  [in,out] | a | is the input array
  [in] | cond | is the conditional array.
  [in] | b | is the replacement array.

Note
  Values of `a` are replaced with corresponding values of `b`, when `cond` is false.

AFAPI void af::replace | ( | array & | a,
|  | const array & | cond,
|  | const array & | b
| ) |  |

Parameters

  [in,out] | a | is the input array
  [in] | cond | is the conditional array.
  [in] | b | is the replacement array.

Note
  Values of `a` are replaced with corresponding values of `b`, when `cond` is false.

AFAPI void af::replace | ( | array & | a,
|  | const array & | cond,
|  | const double & | b
| ) |  |

Parameters

  [in,out] | a | is the input array
  [in] | cond | is the conditional array.
  [in] | b | is the replacement value.

Note
  Values of `a` are replaced with corresponding values of `b`, when `cond` is false.